package org.andorp.testkeys;

import java.util.ArrayList;
import java.util.List;

public final class Rollbacks {

    private final List<KeywordRollback> rollbacks;
    
    public Rollbacks() {
        rollbacks = new ArrayList<KeywordRollback>();
    }
    
    public void add(KeywordRepr k) {
        rollbacks.add(0, k.getKeywordRollback());
    }
    
    public void runRollbacks() throws RollbackException {
        for(KeywordRollback rollback : rollbacks) {
            rollback.runRollback();
        }
    }
}

